#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private BuySideGlobal.BSGOrderFlow[] cacheBSGOrderFlow;

		
		public BuySideGlobal.BSGOrderFlow BSGOrderFlow(bool drawTotalAsk, bool drawTotalBid, bool drawCummDelta, bool drawCummDeltaByVolume, bool drawCummVolume, bool drawDelta, bool drawMaxDelta, bool drawMinDelta, bool drawTotalVolume, Brush downStartColor, Brush downEndColor, Brush maxVolume, Brush neutralStartColor, Brush neutralEndColor, Brush outline, Brush upStartColor, Brush upEndColor, Brush wick, bool cOTBuy, bool cOTSell, string cOTBuyLabel, string cOTSellLabel, string orderFlowBearishLabel, string orderFlowBullishLabel, string trappedSellerLabel, string trappedBuyerLabel, bool orderFlowBearish, bool orderFlowBullish, bool trappedSeller, bool trappedBuyer, string divergenceAlert, Brush divergenceBuyMarkerColor, bool divergenceConfirm, bool divergenceEnabled, bool divergenceHighLowFilter, BSGOrderFlowTypes.sbMarkerType divergenceMarker, Brush divergenceMarkerColor, BSGOrderFlowTypes.sbMarkerSize divergenceMarkerSize, Brush divergenceSellMarkerColor, string exhaustionAlert, bool exhaustionEnabled, string exhaustionBuyLabel, string exhaustionSellLabel, BSGOrderFlowTypes.sbMarkerType exhaustionMarkerType, string blockTradeAlert, bool ghostBlocks, Brush blockTradeColor, int blockTradeThreshold, bool ratio, Brush ratioExtremeTextColor, bool showExtremeRatio, Brush ratioTextColor, string alertSound, bool beastMode, bool notificationEnabled, int deltaThreshold, Brush powerBuyColor, bool powerBuySellEnabled, BSGOrderFlowTypes.sbMarkerType powerBuySellMarker, BSGOrderFlowTypes.sbMarkerSize powerBuySellMarkerSize, Brush powerSellColor, Brush deltaNegative, Brush deltaPositive, bool keepAspectRatio, BSGOrderFlowTypes.sbShowDelta showDelta, bool enabled, bool extremeImbalanceBearish, bool extremeImbalanceBullish, bool stackedBuyingImbalance, string stackedImbalanceAlert, int stackedImbalanceWidth, bool stackedSellingImbalance, Brush strongAsk, Brush strongBid)
		{
			return BSGOrderFlow(Input, drawTotalAsk, drawTotalBid, drawCummDelta, drawCummDeltaByVolume, drawCummVolume, drawDelta, drawMaxDelta, drawMinDelta, drawTotalVolume, downStartColor, downEndColor, maxVolume, neutralStartColor, neutralEndColor, outline, upStartColor, upEndColor, wick, cOTBuy, cOTSell, cOTBuyLabel, cOTSellLabel, orderFlowBearishLabel, orderFlowBullishLabel, trappedSellerLabel, trappedBuyerLabel, orderFlowBearish, orderFlowBullish, trappedSeller, trappedBuyer, divergenceAlert, divergenceBuyMarkerColor, divergenceConfirm, divergenceEnabled, divergenceHighLowFilter, divergenceMarker, divergenceMarkerColor, divergenceMarkerSize, divergenceSellMarkerColor, exhaustionAlert, exhaustionEnabled, exhaustionBuyLabel, exhaustionSellLabel, exhaustionMarkerType, blockTradeAlert, ghostBlocks, blockTradeColor, blockTradeThreshold, ratio, ratioExtremeTextColor, showExtremeRatio, ratioTextColor, alertSound, beastMode, notificationEnabled, deltaThreshold, powerBuyColor, powerBuySellEnabled, powerBuySellMarker, powerBuySellMarkerSize, powerSellColor, deltaNegative, deltaPositive, keepAspectRatio, showDelta, enabled, extremeImbalanceBearish, extremeImbalanceBullish, stackedBuyingImbalance, stackedImbalanceAlert, stackedImbalanceWidth, stackedSellingImbalance, strongAsk, strongBid);
		}


		
		public BuySideGlobal.BSGOrderFlow BSGOrderFlow(ISeries<double> input, bool drawTotalAsk, bool drawTotalBid, bool drawCummDelta, bool drawCummDeltaByVolume, bool drawCummVolume, bool drawDelta, bool drawMaxDelta, bool drawMinDelta, bool drawTotalVolume, Brush downStartColor, Brush downEndColor, Brush maxVolume, Brush neutralStartColor, Brush neutralEndColor, Brush outline, Brush upStartColor, Brush upEndColor, Brush wick, bool cOTBuy, bool cOTSell, string cOTBuyLabel, string cOTSellLabel, string orderFlowBearishLabel, string orderFlowBullishLabel, string trappedSellerLabel, string trappedBuyerLabel, bool orderFlowBearish, bool orderFlowBullish, bool trappedSeller, bool trappedBuyer, string divergenceAlert, Brush divergenceBuyMarkerColor, bool divergenceConfirm, bool divergenceEnabled, bool divergenceHighLowFilter, BSGOrderFlowTypes.sbMarkerType divergenceMarker, Brush divergenceMarkerColor, BSGOrderFlowTypes.sbMarkerSize divergenceMarkerSize, Brush divergenceSellMarkerColor, string exhaustionAlert, bool exhaustionEnabled, string exhaustionBuyLabel, string exhaustionSellLabel, BSGOrderFlowTypes.sbMarkerType exhaustionMarkerType, string blockTradeAlert, bool ghostBlocks, Brush blockTradeColor, int blockTradeThreshold, bool ratio, Brush ratioExtremeTextColor, bool showExtremeRatio, Brush ratioTextColor, string alertSound, bool beastMode, bool notificationEnabled, int deltaThreshold, Brush powerBuyColor, bool powerBuySellEnabled, BSGOrderFlowTypes.sbMarkerType powerBuySellMarker, BSGOrderFlowTypes.sbMarkerSize powerBuySellMarkerSize, Brush powerSellColor, Brush deltaNegative, Brush deltaPositive, bool keepAspectRatio, BSGOrderFlowTypes.sbShowDelta showDelta, bool enabled, bool extremeImbalanceBearish, bool extremeImbalanceBullish, bool stackedBuyingImbalance, string stackedImbalanceAlert, int stackedImbalanceWidth, bool stackedSellingImbalance, Brush strongAsk, Brush strongBid)
		{
			if (cacheBSGOrderFlow != null)
				for (int idx = 0; idx < cacheBSGOrderFlow.Length; idx++)
					if (cacheBSGOrderFlow[idx].DrawTotalAsk == drawTotalAsk && cacheBSGOrderFlow[idx].DrawTotalBid == drawTotalBid && cacheBSGOrderFlow[idx].DrawCummDelta == drawCummDelta && cacheBSGOrderFlow[idx].DrawCummDeltaByVolume == drawCummDeltaByVolume && cacheBSGOrderFlow[idx].DrawCummVolume == drawCummVolume && cacheBSGOrderFlow[idx].DrawDelta == drawDelta && cacheBSGOrderFlow[idx].DrawMaxDelta == drawMaxDelta && cacheBSGOrderFlow[idx].DrawMinDelta == drawMinDelta && cacheBSGOrderFlow[idx].DrawTotalVolume == drawTotalVolume && cacheBSGOrderFlow[idx].DownStartColor == downStartColor && cacheBSGOrderFlow[idx].DownEndColor == downEndColor && cacheBSGOrderFlow[idx].MaxVolume == maxVolume && cacheBSGOrderFlow[idx].NeutralStartColor == neutralStartColor && cacheBSGOrderFlow[idx].NeutralEndColor == neutralEndColor && cacheBSGOrderFlow[idx].Outline == outline && cacheBSGOrderFlow[idx].UpStartColor == upStartColor && cacheBSGOrderFlow[idx].UpEndColor == upEndColor && cacheBSGOrderFlow[idx].Wick == wick && cacheBSGOrderFlow[idx].COTBuy == cOTBuy && cacheBSGOrderFlow[idx].COTSell == cOTSell && cacheBSGOrderFlow[idx].COTBuyLabel == cOTBuyLabel && cacheBSGOrderFlow[idx].COTSellLabel == cOTSellLabel && cacheBSGOrderFlow[idx].OrderFlowBearishLabel == orderFlowBearishLabel && cacheBSGOrderFlow[idx].OrderFlowBullishLabel == orderFlowBullishLabel && cacheBSGOrderFlow[idx].TrappedSellerLabel == trappedSellerLabel && cacheBSGOrderFlow[idx].TrappedBuyerLabel == trappedBuyerLabel && cacheBSGOrderFlow[idx].OrderFlowBearish == orderFlowBearish && cacheBSGOrderFlow[idx].OrderFlowBullish == orderFlowBullish && cacheBSGOrderFlow[idx].TrappedSeller == trappedSeller && cacheBSGOrderFlow[idx].TrappedBuyer == trappedBuyer && cacheBSGOrderFlow[idx].DivergenceAlert == divergenceAlert && cacheBSGOrderFlow[idx].DivergenceBuyMarkerColor == divergenceBuyMarkerColor && cacheBSGOrderFlow[idx].DivergenceConfirm == divergenceConfirm && cacheBSGOrderFlow[idx].DivergenceEnabled == divergenceEnabled && cacheBSGOrderFlow[idx].DivergenceHighLowFilter == divergenceHighLowFilter && cacheBSGOrderFlow[idx].DivergenceMarker == divergenceMarker && cacheBSGOrderFlow[idx].DivergenceMarkerColor == divergenceMarkerColor && cacheBSGOrderFlow[idx].DivergenceMarkerSize == divergenceMarkerSize && cacheBSGOrderFlow[idx].DivergenceSellMarkerColor == divergenceSellMarkerColor && cacheBSGOrderFlow[idx].ExhaustionAlert == exhaustionAlert && cacheBSGOrderFlow[idx].ExhaustionEnabled == exhaustionEnabled && cacheBSGOrderFlow[idx].ExhaustionBuyLabel == exhaustionBuyLabel && cacheBSGOrderFlow[idx].ExhaustionSellLabel == exhaustionSellLabel && cacheBSGOrderFlow[idx].ExhaustionMarkerType == exhaustionMarkerType && cacheBSGOrderFlow[idx].BlockTradeAlert == blockTradeAlert && cacheBSGOrderFlow[idx].GhostBlocks == ghostBlocks && cacheBSGOrderFlow[idx].BlockTradeColor == blockTradeColor && cacheBSGOrderFlow[idx].BlockTradeThreshold == blockTradeThreshold && cacheBSGOrderFlow[idx].Ratio == ratio && cacheBSGOrderFlow[idx].RatioExtremeTextColor == ratioExtremeTextColor && cacheBSGOrderFlow[idx].ShowExtremeRatio == showExtremeRatio && cacheBSGOrderFlow[idx].RatioTextColor == ratioTextColor && cacheBSGOrderFlow[idx].AlertSound == alertSound && cacheBSGOrderFlow[idx].BeastMode == beastMode && cacheBSGOrderFlow[idx].NotificationEnabled == notificationEnabled && cacheBSGOrderFlow[idx].DeltaThreshold == deltaThreshold && cacheBSGOrderFlow[idx].PowerBuyColor == powerBuyColor && cacheBSGOrderFlow[idx].PowerBuySellEnabled == powerBuySellEnabled && cacheBSGOrderFlow[idx].PowerBuySellMarker == powerBuySellMarker && cacheBSGOrderFlow[idx].PowerBuySellMarkerSize == powerBuySellMarkerSize && cacheBSGOrderFlow[idx].PowerSellColor == powerSellColor && cacheBSGOrderFlow[idx].DeltaNegative == deltaNegative && cacheBSGOrderFlow[idx].DeltaPositive == deltaPositive && cacheBSGOrderFlow[idx].KeepAspectRatio == keepAspectRatio && cacheBSGOrderFlow[idx].ShowDelta == showDelta && cacheBSGOrderFlow[idx].Enabled == enabled && cacheBSGOrderFlow[idx].ExtremeImbalanceBearish == extremeImbalanceBearish && cacheBSGOrderFlow[idx].ExtremeImbalanceBullish == extremeImbalanceBullish && cacheBSGOrderFlow[idx].StackedBuyingImbalance == stackedBuyingImbalance && cacheBSGOrderFlow[idx].StackedImbalanceAlert == stackedImbalanceAlert && cacheBSGOrderFlow[idx].StackedImbalanceWidth == stackedImbalanceWidth && cacheBSGOrderFlow[idx].StackedSellingImbalance == stackedSellingImbalance && cacheBSGOrderFlow[idx].StrongAsk == strongAsk && cacheBSGOrderFlow[idx].StrongBid == strongBid && cacheBSGOrderFlow[idx].EqualsInput(input))
						return cacheBSGOrderFlow[idx];
			return CacheIndicator<BuySideGlobal.BSGOrderFlow>(new BuySideGlobal.BSGOrderFlow(){ DrawTotalAsk = drawTotalAsk, DrawTotalBid = drawTotalBid, DrawCummDelta = drawCummDelta, DrawCummDeltaByVolume = drawCummDeltaByVolume, DrawCummVolume = drawCummVolume, DrawDelta = drawDelta, DrawMaxDelta = drawMaxDelta, DrawMinDelta = drawMinDelta, DrawTotalVolume = drawTotalVolume, DownStartColor = downStartColor, DownEndColor = downEndColor, MaxVolume = maxVolume, NeutralStartColor = neutralStartColor, NeutralEndColor = neutralEndColor, Outline = outline, UpStartColor = upStartColor, UpEndColor = upEndColor, Wick = wick, COTBuy = cOTBuy, COTSell = cOTSell, COTBuyLabel = cOTBuyLabel, COTSellLabel = cOTSellLabel, OrderFlowBearishLabel = orderFlowBearishLabel, OrderFlowBullishLabel = orderFlowBullishLabel, TrappedSellerLabel = trappedSellerLabel, TrappedBuyerLabel = trappedBuyerLabel, OrderFlowBearish = orderFlowBearish, OrderFlowBullish = orderFlowBullish, TrappedSeller = trappedSeller, TrappedBuyer = trappedBuyer, DivergenceAlert = divergenceAlert, DivergenceBuyMarkerColor = divergenceBuyMarkerColor, DivergenceConfirm = divergenceConfirm, DivergenceEnabled = divergenceEnabled, DivergenceHighLowFilter = divergenceHighLowFilter, DivergenceMarker = divergenceMarker, DivergenceMarkerColor = divergenceMarkerColor, DivergenceMarkerSize = divergenceMarkerSize, DivergenceSellMarkerColor = divergenceSellMarkerColor, ExhaustionAlert = exhaustionAlert, ExhaustionEnabled = exhaustionEnabled, ExhaustionBuyLabel = exhaustionBuyLabel, ExhaustionSellLabel = exhaustionSellLabel, ExhaustionMarkerType = exhaustionMarkerType, BlockTradeAlert = blockTradeAlert, GhostBlocks = ghostBlocks, BlockTradeColor = blockTradeColor, BlockTradeThreshold = blockTradeThreshold, Ratio = ratio, RatioExtremeTextColor = ratioExtremeTextColor, ShowExtremeRatio = showExtremeRatio, RatioTextColor = ratioTextColor, AlertSound = alertSound, BeastMode = beastMode, NotificationEnabled = notificationEnabled, DeltaThreshold = deltaThreshold, PowerBuyColor = powerBuyColor, PowerBuySellEnabled = powerBuySellEnabled, PowerBuySellMarker = powerBuySellMarker, PowerBuySellMarkerSize = powerBuySellMarkerSize, PowerSellColor = powerSellColor, DeltaNegative = deltaNegative, DeltaPositive = deltaPositive, KeepAspectRatio = keepAspectRatio, ShowDelta = showDelta, Enabled = enabled, ExtremeImbalanceBearish = extremeImbalanceBearish, ExtremeImbalanceBullish = extremeImbalanceBullish, StackedBuyingImbalance = stackedBuyingImbalance, StackedImbalanceAlert = stackedImbalanceAlert, StackedImbalanceWidth = stackedImbalanceWidth, StackedSellingImbalance = stackedSellingImbalance, StrongAsk = strongAsk, StrongBid = strongBid }, input, ref cacheBSGOrderFlow);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.BuySideGlobal.BSGOrderFlow BSGOrderFlow(bool drawTotalAsk, bool drawTotalBid, bool drawCummDelta, bool drawCummDeltaByVolume, bool drawCummVolume, bool drawDelta, bool drawMaxDelta, bool drawMinDelta, bool drawTotalVolume, Brush downStartColor, Brush downEndColor, Brush maxVolume, Brush neutralStartColor, Brush neutralEndColor, Brush outline, Brush upStartColor, Brush upEndColor, Brush wick, bool cOTBuy, bool cOTSell, string cOTBuyLabel, string cOTSellLabel, string orderFlowBearishLabel, string orderFlowBullishLabel, string trappedSellerLabel, string trappedBuyerLabel, bool orderFlowBearish, bool orderFlowBullish, bool trappedSeller, bool trappedBuyer, string divergenceAlert, Brush divergenceBuyMarkerColor, bool divergenceConfirm, bool divergenceEnabled, bool divergenceHighLowFilter, BSGOrderFlowTypes.sbMarkerType divergenceMarker, Brush divergenceMarkerColor, BSGOrderFlowTypes.sbMarkerSize divergenceMarkerSize, Brush divergenceSellMarkerColor, string exhaustionAlert, bool exhaustionEnabled, string exhaustionBuyLabel, string exhaustionSellLabel, BSGOrderFlowTypes.sbMarkerType exhaustionMarkerType, string blockTradeAlert, bool ghostBlocks, Brush blockTradeColor, int blockTradeThreshold, bool ratio, Brush ratioExtremeTextColor, bool showExtremeRatio, Brush ratioTextColor, string alertSound, bool beastMode, bool notificationEnabled, int deltaThreshold, Brush powerBuyColor, bool powerBuySellEnabled, BSGOrderFlowTypes.sbMarkerType powerBuySellMarker, BSGOrderFlowTypes.sbMarkerSize powerBuySellMarkerSize, Brush powerSellColor, Brush deltaNegative, Brush deltaPositive, bool keepAspectRatio, BSGOrderFlowTypes.sbShowDelta showDelta, bool enabled, bool extremeImbalanceBearish, bool extremeImbalanceBullish, bool stackedBuyingImbalance, string stackedImbalanceAlert, int stackedImbalanceWidth, bool stackedSellingImbalance, Brush strongAsk, Brush strongBid)
		{
			return indicator.BSGOrderFlow(Input, drawTotalAsk, drawTotalBid, drawCummDelta, drawCummDeltaByVolume, drawCummVolume, drawDelta, drawMaxDelta, drawMinDelta, drawTotalVolume, downStartColor, downEndColor, maxVolume, neutralStartColor, neutralEndColor, outline, upStartColor, upEndColor, wick, cOTBuy, cOTSell, cOTBuyLabel, cOTSellLabel, orderFlowBearishLabel, orderFlowBullishLabel, trappedSellerLabel, trappedBuyerLabel, orderFlowBearish, orderFlowBullish, trappedSeller, trappedBuyer, divergenceAlert, divergenceBuyMarkerColor, divergenceConfirm, divergenceEnabled, divergenceHighLowFilter, divergenceMarker, divergenceMarkerColor, divergenceMarkerSize, divergenceSellMarkerColor, exhaustionAlert, exhaustionEnabled, exhaustionBuyLabel, exhaustionSellLabel, exhaustionMarkerType, blockTradeAlert, ghostBlocks, blockTradeColor, blockTradeThreshold, ratio, ratioExtremeTextColor, showExtremeRatio, ratioTextColor, alertSound, beastMode, notificationEnabled, deltaThreshold, powerBuyColor, powerBuySellEnabled, powerBuySellMarker, powerBuySellMarkerSize, powerSellColor, deltaNegative, deltaPositive, keepAspectRatio, showDelta, enabled, extremeImbalanceBearish, extremeImbalanceBullish, stackedBuyingImbalance, stackedImbalanceAlert, stackedImbalanceWidth, stackedSellingImbalance, strongAsk, strongBid);
		}


		
		public Indicators.BuySideGlobal.BSGOrderFlow BSGOrderFlow(ISeries<double> input , bool drawTotalAsk, bool drawTotalBid, bool drawCummDelta, bool drawCummDeltaByVolume, bool drawCummVolume, bool drawDelta, bool drawMaxDelta, bool drawMinDelta, bool drawTotalVolume, Brush downStartColor, Brush downEndColor, Brush maxVolume, Brush neutralStartColor, Brush neutralEndColor, Brush outline, Brush upStartColor, Brush upEndColor, Brush wick, bool cOTBuy, bool cOTSell, string cOTBuyLabel, string cOTSellLabel, string orderFlowBearishLabel, string orderFlowBullishLabel, string trappedSellerLabel, string trappedBuyerLabel, bool orderFlowBearish, bool orderFlowBullish, bool trappedSeller, bool trappedBuyer, string divergenceAlert, Brush divergenceBuyMarkerColor, bool divergenceConfirm, bool divergenceEnabled, bool divergenceHighLowFilter, BSGOrderFlowTypes.sbMarkerType divergenceMarker, Brush divergenceMarkerColor, BSGOrderFlowTypes.sbMarkerSize divergenceMarkerSize, Brush divergenceSellMarkerColor, string exhaustionAlert, bool exhaustionEnabled, string exhaustionBuyLabel, string exhaustionSellLabel, BSGOrderFlowTypes.sbMarkerType exhaustionMarkerType, string blockTradeAlert, bool ghostBlocks, Brush blockTradeColor, int blockTradeThreshold, bool ratio, Brush ratioExtremeTextColor, bool showExtremeRatio, Brush ratioTextColor, string alertSound, bool beastMode, bool notificationEnabled, int deltaThreshold, Brush powerBuyColor, bool powerBuySellEnabled, BSGOrderFlowTypes.sbMarkerType powerBuySellMarker, BSGOrderFlowTypes.sbMarkerSize powerBuySellMarkerSize, Brush powerSellColor, Brush deltaNegative, Brush deltaPositive, bool keepAspectRatio, BSGOrderFlowTypes.sbShowDelta showDelta, bool enabled, bool extremeImbalanceBearish, bool extremeImbalanceBullish, bool stackedBuyingImbalance, string stackedImbalanceAlert, int stackedImbalanceWidth, bool stackedSellingImbalance, Brush strongAsk, Brush strongBid)
		{
			return indicator.BSGOrderFlow(input, drawTotalAsk, drawTotalBid, drawCummDelta, drawCummDeltaByVolume, drawCummVolume, drawDelta, drawMaxDelta, drawMinDelta, drawTotalVolume, downStartColor, downEndColor, maxVolume, neutralStartColor, neutralEndColor, outline, upStartColor, upEndColor, wick, cOTBuy, cOTSell, cOTBuyLabel, cOTSellLabel, orderFlowBearishLabel, orderFlowBullishLabel, trappedSellerLabel, trappedBuyerLabel, orderFlowBearish, orderFlowBullish, trappedSeller, trappedBuyer, divergenceAlert, divergenceBuyMarkerColor, divergenceConfirm, divergenceEnabled, divergenceHighLowFilter, divergenceMarker, divergenceMarkerColor, divergenceMarkerSize, divergenceSellMarkerColor, exhaustionAlert, exhaustionEnabled, exhaustionBuyLabel, exhaustionSellLabel, exhaustionMarkerType, blockTradeAlert, ghostBlocks, blockTradeColor, blockTradeThreshold, ratio, ratioExtremeTextColor, showExtremeRatio, ratioTextColor, alertSound, beastMode, notificationEnabled, deltaThreshold, powerBuyColor, powerBuySellEnabled, powerBuySellMarker, powerBuySellMarkerSize, powerSellColor, deltaNegative, deltaPositive, keepAspectRatio, showDelta, enabled, extremeImbalanceBearish, extremeImbalanceBullish, stackedBuyingImbalance, stackedImbalanceAlert, stackedImbalanceWidth, stackedSellingImbalance, strongAsk, strongBid);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.BuySideGlobal.BSGOrderFlow BSGOrderFlow(bool drawTotalAsk, bool drawTotalBid, bool drawCummDelta, bool drawCummDeltaByVolume, bool drawCummVolume, bool drawDelta, bool drawMaxDelta, bool drawMinDelta, bool drawTotalVolume, Brush downStartColor, Brush downEndColor, Brush maxVolume, Brush neutralStartColor, Brush neutralEndColor, Brush outline, Brush upStartColor, Brush upEndColor, Brush wick, bool cOTBuy, bool cOTSell, string cOTBuyLabel, string cOTSellLabel, string orderFlowBearishLabel, string orderFlowBullishLabel, string trappedSellerLabel, string trappedBuyerLabel, bool orderFlowBearish, bool orderFlowBullish, bool trappedSeller, bool trappedBuyer, string divergenceAlert, Brush divergenceBuyMarkerColor, bool divergenceConfirm, bool divergenceEnabled, bool divergenceHighLowFilter, BSGOrderFlowTypes.sbMarkerType divergenceMarker, Brush divergenceMarkerColor, BSGOrderFlowTypes.sbMarkerSize divergenceMarkerSize, Brush divergenceSellMarkerColor, string exhaustionAlert, bool exhaustionEnabled, string exhaustionBuyLabel, string exhaustionSellLabel, BSGOrderFlowTypes.sbMarkerType exhaustionMarkerType, string blockTradeAlert, bool ghostBlocks, Brush blockTradeColor, int blockTradeThreshold, bool ratio, Brush ratioExtremeTextColor, bool showExtremeRatio, Brush ratioTextColor, string alertSound, bool beastMode, bool notificationEnabled, int deltaThreshold, Brush powerBuyColor, bool powerBuySellEnabled, BSGOrderFlowTypes.sbMarkerType powerBuySellMarker, BSGOrderFlowTypes.sbMarkerSize powerBuySellMarkerSize, Brush powerSellColor, Brush deltaNegative, Brush deltaPositive, bool keepAspectRatio, BSGOrderFlowTypes.sbShowDelta showDelta, bool enabled, bool extremeImbalanceBearish, bool extremeImbalanceBullish, bool stackedBuyingImbalance, string stackedImbalanceAlert, int stackedImbalanceWidth, bool stackedSellingImbalance, Brush strongAsk, Brush strongBid)
		{
			return indicator.BSGOrderFlow(Input, drawTotalAsk, drawTotalBid, drawCummDelta, drawCummDeltaByVolume, drawCummVolume, drawDelta, drawMaxDelta, drawMinDelta, drawTotalVolume, downStartColor, downEndColor, maxVolume, neutralStartColor, neutralEndColor, outline, upStartColor, upEndColor, wick, cOTBuy, cOTSell, cOTBuyLabel, cOTSellLabel, orderFlowBearishLabel, orderFlowBullishLabel, trappedSellerLabel, trappedBuyerLabel, orderFlowBearish, orderFlowBullish, trappedSeller, trappedBuyer, divergenceAlert, divergenceBuyMarkerColor, divergenceConfirm, divergenceEnabled, divergenceHighLowFilter, divergenceMarker, divergenceMarkerColor, divergenceMarkerSize, divergenceSellMarkerColor, exhaustionAlert, exhaustionEnabled, exhaustionBuyLabel, exhaustionSellLabel, exhaustionMarkerType, blockTradeAlert, ghostBlocks, blockTradeColor, blockTradeThreshold, ratio, ratioExtremeTextColor, showExtremeRatio, ratioTextColor, alertSound, beastMode, notificationEnabled, deltaThreshold, powerBuyColor, powerBuySellEnabled, powerBuySellMarker, powerBuySellMarkerSize, powerSellColor, deltaNegative, deltaPositive, keepAspectRatio, showDelta, enabled, extremeImbalanceBearish, extremeImbalanceBullish, stackedBuyingImbalance, stackedImbalanceAlert, stackedImbalanceWidth, stackedSellingImbalance, strongAsk, strongBid);
		}


		
		public Indicators.BuySideGlobal.BSGOrderFlow BSGOrderFlow(ISeries<double> input , bool drawTotalAsk, bool drawTotalBid, bool drawCummDelta, bool drawCummDeltaByVolume, bool drawCummVolume, bool drawDelta, bool drawMaxDelta, bool drawMinDelta, bool drawTotalVolume, Brush downStartColor, Brush downEndColor, Brush maxVolume, Brush neutralStartColor, Brush neutralEndColor, Brush outline, Brush upStartColor, Brush upEndColor, Brush wick, bool cOTBuy, bool cOTSell, string cOTBuyLabel, string cOTSellLabel, string orderFlowBearishLabel, string orderFlowBullishLabel, string trappedSellerLabel, string trappedBuyerLabel, bool orderFlowBearish, bool orderFlowBullish, bool trappedSeller, bool trappedBuyer, string divergenceAlert, Brush divergenceBuyMarkerColor, bool divergenceConfirm, bool divergenceEnabled, bool divergenceHighLowFilter, BSGOrderFlowTypes.sbMarkerType divergenceMarker, Brush divergenceMarkerColor, BSGOrderFlowTypes.sbMarkerSize divergenceMarkerSize, Brush divergenceSellMarkerColor, string exhaustionAlert, bool exhaustionEnabled, string exhaustionBuyLabel, string exhaustionSellLabel, BSGOrderFlowTypes.sbMarkerType exhaustionMarkerType, string blockTradeAlert, bool ghostBlocks, Brush blockTradeColor, int blockTradeThreshold, bool ratio, Brush ratioExtremeTextColor, bool showExtremeRatio, Brush ratioTextColor, string alertSound, bool beastMode, bool notificationEnabled, int deltaThreshold, Brush powerBuyColor, bool powerBuySellEnabled, BSGOrderFlowTypes.sbMarkerType powerBuySellMarker, BSGOrderFlowTypes.sbMarkerSize powerBuySellMarkerSize, Brush powerSellColor, Brush deltaNegative, Brush deltaPositive, bool keepAspectRatio, BSGOrderFlowTypes.sbShowDelta showDelta, bool enabled, bool extremeImbalanceBearish, bool extremeImbalanceBullish, bool stackedBuyingImbalance, string stackedImbalanceAlert, int stackedImbalanceWidth, bool stackedSellingImbalance, Brush strongAsk, Brush strongBid)
		{
			return indicator.BSGOrderFlow(input, drawTotalAsk, drawTotalBid, drawCummDelta, drawCummDeltaByVolume, drawCummVolume, drawDelta, drawMaxDelta, drawMinDelta, drawTotalVolume, downStartColor, downEndColor, maxVolume, neutralStartColor, neutralEndColor, outline, upStartColor, upEndColor, wick, cOTBuy, cOTSell, cOTBuyLabel, cOTSellLabel, orderFlowBearishLabel, orderFlowBullishLabel, trappedSellerLabel, trappedBuyerLabel, orderFlowBearish, orderFlowBullish, trappedSeller, trappedBuyer, divergenceAlert, divergenceBuyMarkerColor, divergenceConfirm, divergenceEnabled, divergenceHighLowFilter, divergenceMarker, divergenceMarkerColor, divergenceMarkerSize, divergenceSellMarkerColor, exhaustionAlert, exhaustionEnabled, exhaustionBuyLabel, exhaustionSellLabel, exhaustionMarkerType, blockTradeAlert, ghostBlocks, blockTradeColor, blockTradeThreshold, ratio, ratioExtremeTextColor, showExtremeRatio, ratioTextColor, alertSound, beastMode, notificationEnabled, deltaThreshold, powerBuyColor, powerBuySellEnabled, powerBuySellMarker, powerBuySellMarkerSize, powerSellColor, deltaNegative, deltaPositive, keepAspectRatio, showDelta, enabled, extremeImbalanceBearish, extremeImbalanceBullish, stackedBuyingImbalance, stackedImbalanceAlert, stackedImbalanceWidth, stackedSellingImbalance, strongAsk, strongBid);
		}

	}
}

#endregion
